org.apache.ignite.internal.util.nio

## Interface GridNioMetricsListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  TcpCommunicationMetricsListener

    public interface GridNioMetricsListener
    extends EventListener

Metrics listener for NIO communication.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onBytesReceived(int bytesCnt)`
`void` `onBytesSent(int bytesCnt)`

### Method Detail

#### onBytesSent

    void onBytesSent(int bytesCnt)

Parameters:
  `bytesCnt` - Number of sent bytes.

#### onBytesReceived

    void onBytesReceived(int bytesCnt)

Parameters:
  `bytesCnt` - Number of received bytes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019